Bug 238143 - net/samba47: Fix stage-qa error: depending on lang/python
Summary: net/samba47: Fix stage-qa error: depending on lang/python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Timur I. Bakeyev
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2019-05-26 18:46 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-06-04 14:34 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (timur)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-05-26 18:46:47 UTC
Fix stage-qa error

Error: lang/python should not be depended upon. Instead, use USES=python:xy with a specific version.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-29 10:02:45 UTC
@Sunpoet This is a blanket candidate:

Approved by: portmgr (blanket: ports/framework compliance)

It may also be the case that the test target invokes 'python', so additional changes may be necessary to switch it to use PYTHON_CMD
Comment 2 Timur I. Bakeyev freebsd_committer 2019-05-29 14:47:02 UTC
This is fixed in samba48, so fix can be grabbed from there.

The real fix would be to phase samba46 and samba47 out, as they are not supported anymore.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-30 01:45:56 UTC
(In reply to Timur I. Bakeyev from comment #2)

We can add DEPRECATED as a separate issue after fixing curently broken port versions

Can you point us to the fix in sambe48 or the ports revision number that added it?
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-05-31 13:38:39 UTC
(In reply to Timur I. Bakeyev from comment #2)

> The real fix would be to phase samba46 and samba47 out, as they are not supported anymore.

I patched samba47 because it's still the default samba version, therefore it blocked poudriere builds with -t flag. I would like to see samba48 being the default.
Comment 5 commit-hook freebsd_committer 2019-06-03 02:41:58 UTC
A commit references this bug:

Author: timur
Date: Mon Jun  3 02:40:55 UTC 2019
New revision: 503341
URL: https://svnweb.freebsd.org/changeset/ports/503341

Log:
  Fix QA error and set expiration date.

  PR:		238143

Changes:
  head/net/samba46/Makefile
  head/net/samba47/Makefile